#!/bin/bash
#
# IranOpen 2010 sample start script for 3D soccer simulation
#

AGENT_BINARY="seu-spark-agent"
BINARY_DIR="./"
NUM_PLAYERS=6

killall -9 "$AGENT_BINARY" &> /dev/null

export LD_LIBRARY_PATH="./lib"

for ((i=1;i<=$NUM_PLAYERS;i++)); do
    echo "Running agent No. $i"
    "$BINARY_DIR/$AGENT_BINARY" -s $1 -t SEURedSun -u $i > stdout$i 2> stderr$i &
    sleep 2
done
